

.bench:
  stage: build
  script:
    - yarn
    - node ./benchmark.js
    - echo "Node version:"
    - node -v

FIPS-enabled:
  extends: .bench
  image: registry.gitlab.com/gitlab-org/frontend/frontend-build-images/node-fips:v16.4.0

build-image:
  extends: .bench
  image: registry.gitlab.com/gitlab-org/gitlab-build-images:ruby-2.7.patched-golang-1.16-git-2.33-lfs-2.9-chrome-89-node-14.15-yarn-1.22-postgresql-11-graphicsmagick-1.3.36

upstream:
  extends: .bench
  image: node:gallium-alpine